Loading...
Searching...
No Matches
ISCurl< DiffScheme > Struct Template Reference

Curl operator defined in index space using various first derivative schemes. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor>
static Accessor::ValueType | result (const Accessor &grid, const Coord &ijk)
template<typename StencilT>
static StencilT::ValueType | result (const StencilT &stencil)

## Detailed Description

template<DScheme DiffScheme>
struct openvdb::v11_0::math::ISCurl< DiffScheme >

Curl operator defined in index space using various first derivative schemes.

## Member Function Documentation

## result() [1/2]

template<DScheme DiffScheme>
template<typename Accessor>

Accessor::ValueType result | ( | const Accessor & | grid,
|  | const Coord & | ijk )

inlinestatic

## result() [2/2]

template<DScheme DiffScheme>
template<typename StencilT>

StencilT::ValueType result | ( | const StencilT & | stencil | ) |

inlinestatic